## python-tosca-parser 0.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0,>=1.3
Babel>=1.3
cliff>=1.13.0 # Apache-2.0
PyYAML>=3.1.0
python-dateutil>=2.4.2
six>=1.9.0

=== debian/changelog ===
python-tosca-parser (0.1.0-3) unstable; urgency=medium

  * Added missing openstack-pkg-tools build-depends (Closes: #802150).

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2015 14:11:41 +0000

python-tosca-parser (0.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 12:22:51 +0000

python-tosca-parser (0.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #797775)

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Sep 2015 14:06:14 +0200

=== debian/control ===
Source: python-tosca-parser
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-cliff (>= 1.13.0),
                     python-coverage,
                     python-dateutil,
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.7.0),
                     python-pbr (>= 1.3),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-yaml,
                     python3-babel,
                     python3-cliff (>= 1.13.0),
                     python3-dateutil,
                     python3-fixtures (>= 1.3.1),
                     python3-oslotest (>= 1.7.0),
                     python3-pbr (>= 1.3),
                     python3-six (>= 1.9.0),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-tosca-parser.git
Vcs-Git: git://anonscm.debian.org/openstack/python-tosca-parser.git
Homepage: https://github.com/openstack/tosca-parser

Package: python-tosca-parser
Architecture: all
Depends: python-babel,
         python-cliff (>= 1.13.0),
         python-dateutil,
         python-pbr (>= 1.3),
         python-six (>= 1.9.0),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-tosca-parser-doc,
Description: parser for TOSCA Simple Profile in YAML - Python 2.x
 The TOSCA Parser is an OpenStack project. It is developed to parse TOSCA
 Simple Profile in YAML. It reads the TOSCA templates and creates an
 in-memory graph of TOSCA nodes and their relationship.
 .
 TOSCA stands for: Topology and Orchestration Specification for Cloud
 Application.
 .
 This package contains the Python 2.x module.

Package: python3-tosca-parser
Architecture: all
Depends: python3-babel,
         python3-cliff (>= 1.13.0),
         python3-dateutil,
         python3-pbr (>= 1.3),
         python3-six (>= 1.9.0),
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-tosca-parser-doc,
Description: parser for TOSCA Simple Profile in YAML - Python 3.x
 The TOSCA Parser is an OpenStack project. It is developed to parse TOSCA
 Simple Profile in YAML. It reads the TOSCA templates and creates an
 in-memory graph of TOSCA nodes and their relationship.
 .
 TOSCA stands for: Topology and Orchestration Specification for Cloud
 Application.
 .
 This package contains the Python 3.x module.

Package: python-tosca-parser-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: parser for TOSCA Simple Profile in YAML - doc
 The TOSCA Parser is an OpenStack project. It is developed to parse TOSCA
 Simple Profile in YAML. It reads the TOSCA templates and creates an
 in-memory graph of TOSCA nodes and their relationship.
 .
 TOSCA stands for: Topology and Orchestration Specification for Cloud
 Application.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/tosca-parser.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-tosca-parser; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-tosca-parser; \
	done
	rm -rf $(CURDIR)/debian/python*-tosca-parser/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-tosca-parser-doc/usr/share/doc/python-tosca-parser-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-tosca-parser 0.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
cliff>=1.15.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
python-dateutil>=2.4.2 # BSD
six>=1.9.0 # MIT

=== debian/changelog ===
python-tosca-parser (0.4.0-1+24~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * New upstream release.
  * Fixed VCS URLs (https).
  * Fixed (build-)depends for new release.
  * Standards-Version is 3.9.7 now (no change).
  * Added myself to d/copyright.
  * Fixed order in d/copyright.
  * Install /usr/bin/tosca-parser as alternatives in both packages.
  * Added Debian tests.
  * Added upstream changelog.
  * Fixed hardcoded Python 2.7 version when running unit tests
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 24 Nov 2016 10:12:39 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -12,41 +12,41 @@
                python3-all,
                python3-setuptools,
 Build-Depends-Indep: python-babel,
-                     python-cliff (>= 1.13.0),
+                     python-cliff (>= 1.15.0),
                      python-coverage,
                      python-dateutil,
                      python-fixtures (>= 1.3.1),
                      python-hacking (>= 0.10.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.7.0),
-                     python-pbr (>= 1.3),
+                     python-oslotest (>= 1.10.0),
+                     python-pbr (>= 1.6),
                      python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-yaml,
                      python3-babel,
-                     python3-cliff (>= 1.13.0),
+                     python3-cliff (>= 1.15.0),
                      python3-dateutil,
                      python3-fixtures (>= 1.3.1),
-                     python3-oslotest (>= 1.7.0),
-                     python3-pbr (>= 1.3),
+                     python3-oslotest (>= 1.10.0),
+                     python3-pbr (>= 1.6),
                      python3-six (>= 1.9.0),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      python3-yaml,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-tosca-parser.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-tosca-parser.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-tosca-parser?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-tosca-parser -b debian/newton
 Homepage: https://github.com/openstack/tosca-parser
 
 Package: python-tosca-parser
 Architecture: all
 Depends: python-babel,
-         python-cliff (>= 1.13.0),
+         python-cliff (>= 1.15.0),
          python-dateutil,
-         python-pbr (>= 1.3),
+         python-pbr (>= 1.6),
          python-six (>= 1.9.0),
          python-yaml,
          ${misc:Depends},
@@ -65,9 +65,9 @@
 Package: python3-tosca-parser
 Architecture: all
 Depends: python3-babel,
-         python3-cliff (>= 1.13.0),
+         python3-cliff (>= 1.15.0),
          python3-dateutil,
-         python3-pbr (>= 1.3),
+         python3-pbr (>= 1.6),
          python3-six (>= 1.9.0),
          python3-yaml,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/tosca-parser.git
+UPSTREAM_GIT := https://github.com/openstack/tosca-parser.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
 
@@ -21,10 +21,13 @@
 	done
 	rm -rf $(CURDIR)/debian/python*-tosca-parser/usr/lib/python*/dist-packages/*.pth
 
+	mv $(CURDIR)/debian/python-tosca-parser/usr/bin/tosca-parser $(CURDIR)/debian/python-tosca-parser/usr/bin/python2-tosca-parser
+	mv $(CURDIR)/debian/python3-tosca-parser/usr/bin/tosca-parser $(CURDIR)/debian/python3-tosca-parser/usr/bin/python3-tosca-parser
+
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+	set -e ; set -x ; for i in $(PYTHONS) $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \
@@ -45,7 +48,8 @@
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
-	rm -rf build
+	rm -rf build .testrepository
+	rm -f AUTHORS ChangeLog
 
 # Commands not to run
 override_dh_installcatalogs:

=== debian/tests/control ===
Depends: python-tosca-parser
Test-Command: cd "$ADTTMP" ; python -c "import toscaparser; print toscaparser.__version__"

Depends: python3-tosca-parser
Test-Command: cd "$ADTTMP" ; python3 -c "import toscaparser; print(toscaparser.__version__)"

## python-tosca-parser 1.1.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.5 # BSD

=== debian/changelog ===
python-tosca-parser (1.1.0-3) unstable; urgency=medium

  * override_dh_python3: dh_python3 --shebang=/usr/bin/python3.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Dec 2018 16:44:23 +0100

python-tosca-parser (1.1.0-2) unstable; urgency=medium

  * Disable networking and resolving when running unit tests.
  * Patch out 16 unit tests doing network access (Closes: #908391).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Sep 2018 00:01:37 +0200

python-tosca-parser (1.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release.
  * Fixed (build-)depends for new release.
  * Added myself to d/copyright.
  * Fixed order in d/copyright.
  * Install /usr/bin/tosca-parser as alternatives in both packages.
  * Added Debian tests.
  * Added upstream changelog.
  * Fixed hardcoded Python 2.7 version when running unit tests
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release:
    - Fix FTBFS (Closes: #907966).
  * Fixed (build-)depends for this release.
  * Using python3 -m sphinx to build the doc.
  * Remove obsolete stuff from debian/rules and use the new
    pkgos-dh_auto_{install,test} scripts.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Sep 2018 13:51:24 +0200

=== debian/control ===
Source: python-tosca-parser
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python-babel,
 python-cliff (>= 2.8.0),
 python-coverage,
 python-dateutil,
 python-fixtures (>= 1.3.1),
 python-hacking (>= 0.10.0),
 python-oslotest (>= 1:3.2.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.9.0),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-yaml,
 python3-babel,
 python3-cliff (>= 2.8.0),
 python3-dateutil,
 python3-fixtures (>= 1.3.1),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslotest (>= 1:3.2.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.9.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-tosca-parser
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-tosca-parser.git
Homepage: https://github.com/openstack/tosca-parser

Package: python-tosca-parser
Architecture: all
Depends:
 python-babel,
 python-cliff (>= 2.8.0),
 python-dateutil,
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.9.0),
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-tosca-parser-doc,
Description: parser for TOSCA Simple Profile in YAML - Python 2.x
 The TOSCA Parser is an OpenStack project. It is developed to parse TOSCA
 Simple Profile in YAML. It reads the TOSCA templates and creates an
 in-memory graph of TOSCA nodes and their relationship.
 .
 TOSCA stands for: Topology and Orchestration Specification for Cloud
 Application.
 .
 This package contains the Python 2.x module.

Package: python-tosca-parser-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: parser for TOSCA Simple Profile in YAML - doc
 The TOSCA Parser is an OpenStack project. It is developed to parse TOSCA
 Simple Profile in YAML. It reads the TOSCA templates and creates an
 in-memory graph of TOSCA nodes and their relationship.
 .
 TOSCA stands for: Topology and Orchestration Specification for Cloud
 Application.
 .
 This package contains the documentation.

Package: python3-tosca-parser
Architecture: all
Depends:
 python3-babel,
 python3-cliff (>= 2.8.0),
 python3-dateutil,
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.9.0),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-tosca-parser-doc,
Description: parser for TOSCA Simple Profile in YAML - Python 3.x
 The TOSCA Parser is an OpenStack project. It is developed to parse TOSCA
 Simple Profile in YAML. It reads the TOSCA templates and creates an
 in-memory graph of TOSCA nodes and their relationship.
 .
 TOSCA stands for: Topology and Orchestration Specification for Cloud
 Application.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/tosca-parser.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	export http_proxy=127.0.0.1:9 ; export https_proxy=127.0.0.1:9 ; export HTTP_PROXY=127.0.0.1:9 ; export HTTPS_PROXY=127.0.0.1:9 ;  export RES_OPTIONS=attempts:0 ; \
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-tosca-parser-doc/usr/share/doc/python-tosca-parser-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository
	rm -f AUTHORS ChangeLog

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Depends: python-tosca-parser
Test-Command: cd "$AUTOPKGTEST_TMP" ; python -c "import toscaparser; print toscaparser.__version__"

Depends: python3-tosca-parser
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import toscaparser; print(toscaparser.__version__)"

## python-tosca-parser 1.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
cliff!=2.9.0,>=2.8.0 # Apache-2.0
PyYAML>=3.12 # MIT
python-dateutil>=2.5.3 # BSD
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
python-tosca-parser (1.4.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * Drop python2 test, thanks to Gianfranco Costamagna locutusofborg at
    debian.org (Closes: #933345).

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Jul 2019 23:22:28 +0200

python-tosca-parser (1.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:42:47 +0200

python-tosca-parser (1.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Blacklist failing test: ToscaTemplateTest.test_multiple_policies().

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 15:04:23 +0100

=== debian/control ===
Source: python-tosca-parser
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-cliff,
 python3-coverage,
 python3-dateutil,
 python3-fixtures,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslotest,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stestr,
 python3-stevedore,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-tosca-parser
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-tosca-parser.git
Homepage: https://github.com/openstack/tosca-parser

Package: python-tosca-parser-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: parser for TOSCA Simple Profile in YAML - doc
 The TOSCA Parser is an OpenStack project. It is developed to parse TOSCA
 Simple Profile in YAML. It reads the TOSCA templates and creates an
 in-memory graph of TOSCA nodes and their relationship.
 .
 TOSCA stands for: Topology and Orchestration Specification for Cloud
 Application.
 .
 This package contains the documentation.

Package: python3-tosca-parser
Architecture: all
Depends:
 python3-babel,
 python3-cliff,
 python3-dateutil,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-tosca-parser-doc,
Description: parser for TOSCA Simple Profile in YAML - Python 3.x
 The TOSCA Parser is an OpenStack project. It is developed to parse TOSCA
 Simple Profile in YAML. It reads the TOSCA templates and creates an
 in-memory graph of TOSCA nodes and their relationship.
 .
 TOSCA stands for: Topology and Orchestration Specification for Cloud
 Application.
 .
 This package contains the Python 3.x module.

=== debian/tests/control ===
Depends:
 python3-tosca-parser,
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import toscaparser; print(toscaparser.__version__)"

## python-tosca-parser 2.0.0

=== debian/changelog ===
python-tosca-parser (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 12:01:29 +0200

python-tosca-parser (2.0.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0.
  * debhelper-compat bump to 11.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 09:27:55 +0200

## python-tosca-parser 2.1.1

=== debian/changelog ===
python-tosca-parser (2.1.1-3) unstable; urgency=medium

  * Added Restrictions: superficial to d/tests/control (Closes: #974520).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Nov 2020 23:56:42 +0100

python-tosca-parser (2.1.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 14:33:24 +0200

python-tosca-parser (2.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 22:00:02 +0200

python-tosca-parser (2.1.0-1) experimental; urgency=medium

  * New uptream release.
  * Refresh patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 08:33:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -29,7 +29,7 @@
  python3-testtools,
  python3-yaml,
  subunit,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-tosca-parser
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-tosca-parser.git
 Homepage: https://github.com/openstack/tosca-parser

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/tosca-parser/tags .*/(\d[\d\.]+)\.tar\.gz

## python-tosca-parser 2.4.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
cliff!=2.9.0,>=2.8.0 # Apache-2.0
PyYAML>=3.12 # MIT
python-dateutil>=2.5.3 # BSD
stevedore>=1.20.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
python-tosca-parser (2.4.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 12:12:15 +0200

python-tosca-parser (2.4.1-1) experimental; urgency=medium

  [ Mickael Asseline ]
  * New upstream release.
  * Added myself in copyright and uploaders.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 11:51:02 +0200

python-tosca-parser (2.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 19:16:54 +0200

python-tosca-parser (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 13:19:09 +0100

## python-tosca-parser 2.5.1

=== debian/changelog ===
python-tosca-parser (2.5.1-2~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 24 Mar 2022 10:04:37 +0000

python-tosca-parser (2.5.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 11:02:29 +0100

python-tosca-parser (2.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 13:47:53 +0100

python-tosca-parser (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Feb 2022 14:50:54 +0100

## python-tosca-parser 2.6.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
python-tosca-parser (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:15:45 +0200

python-tosca-parser (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 15:24:37 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/tosca-parser.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .testrepository
	rm -f AUTHORS ChangeLog

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	export http_proxy=127.0.0.1:9 ; export https_proxy=127.0.0.1:9 ; export HTTP_PROXY=127.0.0.1:9 ; export HTTPS_PROXY=127.0.0.1:9 ;  export RES_OPTIONS=attempts:0 ; \
	pkgos-dh_auto_test --no-py2 'toscaparser\.tests\.(?!(.*test_toscatpl\.ToscaTemplateTest\.test_multiple_policies))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-tosca-parser-doc/usr/share/doc/python-tosca-parser-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-tosca-parser 2.8.0

=== debian/changelog ===
python-tosca-parser (2.8.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048215).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 17:34:57 +0200

python-tosca-parser (2.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 10:58:11 +0200

python-tosca-parser (2.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 09:39:12 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 override_dh_auto_clean:
 	rm -rf build .testrepository
 	rm -f AUTHORS ChangeLog
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-tosca-parser 2.9.1

=== debian/changelog ===
python-tosca-parser (2.9.1-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Wed, 04 Oct 2023 20:59:39 +0000

python-tosca-parser (2.9.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:57:24 +0200

python-tosca-parser (2.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Rebased remove-network-access-unit-tests.patch.
  * Blacklist 2 unit tests doing network access.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 11:48:34 +0200

## python-tosca-parser 2.10.0

=== debian/changelog ===
python-tosca-parser (2.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2024 11:31:08 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	export http_proxy=127.0.0.1:9 ; export https_proxy=127.0.0.1:9 ; export HTTP_PROXY=127.0.0.1:9 ; export HTTPS_PROXY=127.0.0.1:9 ;  export RES_OPTIONS=attempts:0 ; \
-	pkgos-dh_auto_test --no-py2 'toscaparser\.tests\.(?!(.*test_toscatpl\.ToscaTemplateTest\.test_multiple_policies))'
+	pkgos-dh_auto_test --no-py2 'toscaparser\.tests\.(?!(.*test_toscatpl\.ToscaTemplateTest\.test_multiple_policies|.*test_toscatplvalidation\.ToscaTemplateValidationTest\.test_imports_with_local_defs.*|.*test_toscatpl\.ToscaTemplateTest\.test_local_custom_defs.*))'
 endif
 
 override_dh_sphinxdoc:

=== debian/tests/control ===
Restrictions: superficial
Depends:
 python3-tosca-parser,
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import toscaparser; print(toscaparser.__version__)"

## python-tosca-parser 2.11.0

=== debian/changelog ===
python-tosca-parser (2.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:37:08 +0200

python-tosca-parser (2.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Setup export RES_OPTIONS=attempts:0 in d/rules, removed patch
    remove-network-access-unit-tests.patch and blacklist failed unit tests.
  * Add remove-test.patch, as toscaparser/tests/test_tosca_nfv_tpl.py is
    causing test discovery failure.
  * Blacklist unit tests doing network access:
    - test_prereq.CSARPrereqTest.test_csar_invalid_import_url
    - test_toscatpl.ToscaTemplateTest.test_repositories
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 12:42:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	export http_proxy=127.0.0.1:9 ; export https_proxy=127.0.0.1:9 ; export HTTP_PROXY=127.0.0.1:9 ; export HTTPS_PROXY=127.0.0.1:9 ;  export RES_OPTIONS=attempts:0 ; \
-	pkgos-dh_auto_test --no-py2 'toscaparser\.tests\.(?!(.*test_toscatpl\.ToscaTemplateTest\.test_multiple_policies|.*test_toscatplvalidation\.ToscaTemplateValidationTest\.test_imports_with_local_defs.*|.*test_toscatpl\.ToscaTemplateTest\.test_local_custom_defs.*))'
+	pkgos-dh_auto_test --no-py2 'toscaparser\.tests\.(?!(.*test_toscatpl\.ToscaTemplateTest\.test_multiple_policies|.*test_toscatplvalidation\.ToscaTemplateValidationTest\.test_imports_with_local_defs.*|.*test_toscatpl\.ToscaTemplateTest\.test_local_custom_defs.*|test_prereq\.CSARPrereqTest\.test_csar_invalid_import_url|test_toscatpl\.ToscaTemplateTest\.test_repositories))'
 endif
 
 override_dh_sphinxdoc:

## python-tosca-parser 2.12.0

=== debian/changelog ===
python-tosca-parser (2.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 09:54:20 +0100

python-tosca-parser (2.12.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.
  * Rebased remove-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2025 14:14:01 +0100

python-tosca-parser (2.11.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090628).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 22:08:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Mickael Asseline <mickael@papamica.com>,
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
@@ -12,7 +13,6 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-babel,
  python3-cliff,
  python3-coverage,
  python3-dateutil,
@@ -22,7 +22,6 @@
  python3-oslotest,
  python3-pbr,
  python3-requests,
- python3-six,
  python3-stestr,
  python3-stevedore,
  python3-testscenarios,
@@ -53,12 +52,10 @@
 Package: python3-tosca-parser
 Architecture: all
 Depends:
- python3-babel,
  python3-cliff,
  python3-dateutil,
  python3-pbr,
  python3-requests,
- python3-six,
  python3-stevedore,
  python3-yaml,
  ${misc:Depends},

## python-tosca-parser 2.13.0

=== requirements.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
-pbr!=2.1.0,>=2.0.0 # Apache-2.0
-cliff!=2.9.0,>=2.8.0 # Apache-2.0
+pbr>=6.0.0 # Apache-2.0
+cliff>=4.9.1 # Apache-2.0
 PyYAML>=3.12 # MIT
-python-dateutil>=2.5.3 # BSD
-stevedore>=1.20.0 # Apache-2.0
-requests>=2.14.2 # Apache-2.0
+python-dateutil>=2.9.0 # BSD
+stevedore>=2.0.1 # Apache-2.0
+requests>=2.32.3 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD

=== debian/changelog ===
python-tosca-parser (2.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:27:07 +0200

python-tosca-parser (2.13.0-1) experimental; urgency=medium

  * New upstream release.
  * Require python3-oslotest >= 1:5.0.1 as build-dpends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:33:22 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-fixtures,
  python3-hacking,
  python3-openstackdocstheme,
- python3-oslotest,
+ python3-oslotest (>= 1:5.0.1),
  python3-pbr,
  python3-requests,
  python3-stestr,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .testrepository

=== debian/tests/control ===
Restrictions: superficial
Depends:
 python3-tosca-parser,
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import toscaparser; print(toscaparser.__version__)"

Tests: unittests
Depends:
 python3-nova,
 nova-common,
 @builddeps@,
Restrictions: allow-stderr
Architecture: amd64 arm64 ppc64el

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/tosca-parser refs/tags/(\d[brc\d\.]+)

## python-tosca-parser 2.14.0

=== debian/changelog ===
python-tosca-parser (2.14.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 14:54:19 +0100

python-tosca-parser (2.13.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048215).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 10:26:24 +0100
